The CommonMark\Parser class

- « CommonMark\Interfaces\IVisitable::accept

- CommonMark\Parser::__construct »

- PHP Manual
- CommonMark
- The CommonMark\Parser class

# The CommonMark\Parser class

(cmark >= 1.0.0)

## Introduction

Provides an incremental parser as an alternative to the simple Parsing API function

## Class synopsis

final class CommonMark\Parser {
/* Constructor */
public __construct(int `$options` = ?)
/* Methods */
public parse(string `$buffer`): void
public finish(): CommonMark\Node
}

## Table of Contents

- CommonMark\Parser::__construct — Parsing
- CommonMark\Parser::parse — Parsing
- CommonMark\Parser::finish — Parsing